execute as @a[team=wraith] run function shadow:wraith_loop

gamemode adventure @a[tag=!ignore.global,tag=!admin]

execute store result score WraithCore_WraithTeam counter run team list wraith
execute store result score WraithCore_InnocentTeam counter run team list innocent
execute store result score WraithCore_LobbyTeam counter run team list lobby

execute if score WraithCore_Running counter matches 2.. if score WraithCore_WraithTeam counter matches 0 run function shadow:victory_innocent
execute if score WraithCore_Running counter matches 2.. if score WraithCore_InnocentTeam counter matches 0 run function shadow:victory_wraith

execute if score WraithCore_Running counter matches 1 run function shadow:loot_loop

execute if score WraithCore_Running counter matches 0 if score WraithCore_CountingDown counter matches 0 at @e[limit=1,type=minecraft:armor_stand,tag=shadow_marker_lobby_button] if block ~ ~1 ~ minecraft:oak_button[powered=true] run function shadow:init

execute as @a if score @s dead matches 1.. run function shadow:dead
execute if score WraithCore_Running counter matches 0 as @a[tag=!ignore.global,team=!lobby] run function shadow:lobby
execute as @a[tag=!ignore.global,team=] run function shadow:lobby

execute at @e[type=minecraft:armor_stand,tag=shadow_marker_lobby] run particle minecraft:portal ~ ~1 ~ 0.2 1 0.2 0 10

effect give @a[tag=!ignore.global,team=!wraith,team=!innocent] minecraft:instant_health 2 5 true
effect give @a[tag=!ignore.global,team=!wraith,team=!innocent] minecraft:saturation 2 5 true